<?php
//include("pre-pagina");
//No hacemos nada si no está  todo correcto
if ($todo_correcto) {
	?>
	<?php
	//include("comunes/cabecera.php");
	?>
	<div id="opciones_top">
		<div id="volver"><p><a href="<?= Shop::$configuracion->url; ?>admin/" class="back_btn"><span>Volver</span></a></p></div>
	</div>
	<h2 id="titulo">Gestor de c&oacute;digos promocionales</h2>
	<?php
	//Si recibimos el parametro para borrar, borramos la linea de  la tabla
	$borrar = dame_valor_variable_global("borrar", "");
	$codigo_borrar = dame_valor_variable_global("cod", "");
	if ($borrar == 1) {
		$sentencia_borrar = "DELETE FROM `codigos_promocionales` WHERE `codigo` = $codigo_borrar";
		if ($resultado = mysqli_query($conexionBD, $sentencia_borrar)) {
			//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
			echo "<h2>Se ha borrado correctamente el c&oacute;digo promocional</h2>";
		} else {
			echo("<h2>Error al borrar el c&oacute;digo promocional. Si el problema persiste póngase en contacto con su administrador</h2>");
		}
	}
	// si recibimos el parametro para activar, activamos el codigo promocional
	$activar_codigo = "";
	$activar_codigo = dame_valor_variable_global("activar_codigo", "");
	$codigo_activar = dame_valor_variable_global("cod", "");
	if ($activar_codigo == 1) {
		$sentencia_activar = "UPDATE `codigos_promocionales` SET `activo`=1 WHERE `codigo`=$codigo_activar";
		if ($resultado = mysqli_query($conexionBD, $sentencia_activar)) {
			//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
			echo "<h2>Se ha activado correctamente el c&oacute;digo promocional</h2>";
		} else {
			echo("<h2>Error al activar el c&oacute;digo promocional. Si el problema persiste póngase en contacto con su administrador</h2>");
		}
	}
	if ($activar_codigo == 2) {
		$sentencia_activar = "UPDATE `codigos_promocionales` SET `activo`=0 WHERE `codigo`=$codigo_activar";
		if ($resultado = mysqli_query($conexionBD, $sentencia_activar)) {
			//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
			echo "<h2>Se ha desactivado correctamente el c&oacute;digo promocional</h2>";
		} else {
			echo("<h2>Error al desactivar el c&oacute;digo promocional. Si el problema persiste póngase en contacto con su administrador</h2>");
		}
	}
	// Si recibimos datos de creacion damos de alta el codigo promocional para poder mostrarlo en la lista de codigos promocionales
	$codigo_promocional = strtoupper(dame_valor_variable_global("codigo", ""));
	$fecha_caducidad = dame_valor_variable_global("fecha_caducidad", "");
	$descuento = dame_valor_variable_global("descuento", "");
	//echo $descuento."<br>";
	$g_envio_gratis = dame_valor_variable_global("g_envio_gratis", "");
	$g_envio_gratis = ($g_envio_gratis != "") ? 1 : 0;
	$lote = dame_valor_variable_global("lote", "");
	$lote = ($lote != "") ? 1 : 0;
	// Transformamos la fecha para que sea adecuada para la insercion de linea en squl	
	$fecha_caducidad = new DateTime($fecha_caducidad);
	$fecha_caducidad = date_format($fecha_caducidad, 'Y-m-d H:i:s');
	$escaparates = dame_valor_variable_global('escaparates', '');
	$numUsos = dame_valor_variable_global('numUsos', '');
	//echo $escaparates;
	if ($codigo_promocional != "") {
		//creamos el select que introducira el codigo en al base de datos
		$sentencia_insertar_codigo = "INSERT INTO `codigos_promocionales`( `codigo_promocional`, `fecha_alta`, `fecha_baja`, `descuento`, g_envio_gratis, `escaparates`, `numUsos`) 
																VALUES ('$codigo_promocional', '" . date("Y-m-d H:i:s") . "', '$fecha_caducidad', $descuento, $g_envio_gratis, '$escaparates', $numUsos)";

		
		 /*
		 COMENTO ESTA SENTENCIA DE LOs CODIGOS PROMOCIONALES PARA QUE CUANDO DECIDAMOS COMO HACER LO DE LOs LOTES LA PONGAMOS. MIENTRAS QUITO LO DE LOS LOTES.
		  $sentencia_insertar_codigo="INSERT INTO `codigos_promocionales`( `codigo_promocional`, `fecha_alta`, `fecha_baja`, `descuento`, g_envio_gratis, lote)
		  VALUES ('$codigo_promocional', '" . date("Y-m-d H:i:s") . "', '$fecha_caducidad', $descuento, $g_envio_gratis, $lote)";
		 */
		//echo $sentencia_insertar_codigo;
		if ($conexionBD) {
			if ($resultado = mysqli_query($conexionBD, $sentencia_insertar_codigo)) {
				//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
				echo "<h2>Se ha guardado correctamente el c&oacute;digo promocional " . $codigo_promocional . "</h2>";
			} else {
				echo("<h2>Error al guardar el c&oacute;digo promocional. Compruebe si ha puesto bien los datos y si el problema persiste póngase en contacto con su administrador</h2>");
			}
		}
	}
	//Vamos a poner un formulario para crear codigo promocional
	?>
	<section class="container">
		<form action="<?= Shop::$configuracion->url; ?>admin/codigos_promocionales.php" method="POST" id="form_crear_codigo_promocional">
			<div class="form-group">
				<label>C&oacute;digo</label>
				<input type="text" name="codigo" class="form-control" id="codigo" required >
			</div>
			<div class="form-group">
				<label>Fecha de caducidad (aaaa/mm/dd)</label>
				<input type="text" class="form-control" id="fec_caducidad_usuario" value="" >
			</div>
			<div class="form-group">
				<input type="hidden" id="fec_caducidad" name="fecha_caducidad" value="" >
			</div>
			<div class="form-group">
				<label>Descuento</label>
				<input type="text" name="descuento" id="descuento" class="form-control"required >
			</div>
			<div class="form-group">
				<div class="checkbox">
					<label>
						<input type="checkbox" name="g_envio_gratis" id="g_envio_gratis"> Gastos de env&iacute;o gratis
					</label>
				</div>
				<div class="checkbox">
					<label>
						<input type="checkbox" id="limitarUsos"> Limitar Numero de usos
					</label>
				</div>
			</div>
			<div class="form-group">
				<div class="numUsos">
					<label>Número de usos</label>
					<input type="number" name="numUsos" class="form-control" value="0" >
				</div>
			</div>
			<div class="form-group">
				<div class="ui-widget">
					<label for="escaparates">Escaparates: </label>
					<?php
					$sentencia = 'SELECT DISTINCT cescaparate.codigo, traducesca.nombre FROM `cescaparate`, traducesca WHERE traducesca.escaparate = cescaparate.codigo';
					$resultado = mysqli_query($conexionBD, $sentencia);
					?>
					<select id="listEscaparate">
						<?php
						while ($fila = mysqli_fetch_array($resultado)) {
							?>
							<option value="<?= $fila['codigo'] ?>"><?= $fila['nombre'] ?></option>
							<?php
						}
						?>
					</select>
					<button id="setEscaparate" class="btn btn-default">Añadir</button>
				</div>
			</div>
			<div class="form-group">
				<input type="text" id="escaparates" value="" class="form-control" >
				<input type="hidden" id="escaparatesEviar" value="" name="escaparates">
				<script>
					$('document').ready(function () {
						$('#setEscaparate').on("click", function (event) {
							event.preventDefault();
							var selected = $('#listEscaparate option:selected');
							$('#escaparatesEviar').val();
							console.log(selected);
							if ($('#escaparates').val().length <= 0) {
								$('#escaparates').val(selected.text());
								$('#escaparatesEviar').val(selected.val());
							} else {
								var content = $('#escaparates').val() + ',' + selected.text();
								var content_send = $('#escaparatesEviar').val() + ',' + selected.val();
								$('#escaparates').val(content);
								$('#escaparatesEviar').val(content_send);
							}
						});
						$('#limitarUsos').on("click", function () {
							$('.numUsos').toggle('slow');
							$('.numUsos > input').val('0');
						});
					});
				</script>
			</div>
			<?php
			/*
			  COMENTO ESTAS DOS LINEAS POR QUE NO EXISTE EN LA BASE DE DATOS ESTE CAMPO Y DA ERROR.
			  NO SE COMO QUERIAS HACER ESTO ASI QUE LO COMENTO PARA QUE LE VAYAN FUNCIONANDO Y CUANDO VENGAS LO HABLAMOS Y ME DICES COMO QUIERES HACERLO.

			  <label>Descuento de lote</label>
			  <input type="checkbox" name="lote" id="descuento_lote" />
			 */
			?>
			<input type="submit" name="crear_codigo" class="btn btn-primary" id="crear_codigo" value="Crear" />
		</form>
	</section>
	<!-- Tabla pa mostrar los códigos -->
	<div class="table-responsive">
		<table class="table table-striped" class="tabla_codigos_promocionales">
			<thead>
				<tr class="codigo_promocional">
					<th>#</th>
					<th>C&oacute;digo</th>
					<th>Fecha de alta</th>
					<th>Fecha de caducidad</th>
					<th>Descuento</th>
					<th>Env&iacute;o gratis</th>
					<th>Lote</th>
					<th>Escaparates</th>
					<th>Usos</th>
					<th>Estado</th>
				</tr>
			</thead>
			<tbody>
				<?php
				$sentencia_insertar_codigo = "SELECT * FROM  `codigos_promocionales` ";
				//echo $sentencia_insertar_codigo;
				if ($conexionBD) {
					if ($resultado = mysqli_query($conexionBD, $sentencia_insertar_codigo)) {
						//si este proceso a funcionado se muestra un mensaje que pone que se a insertado satisfactoriamente
						while ($fila = mysqli_fetch_array($resultado)) {
							?>
							<tr class="fila_codigo_promocional" id="codigo_promocional_<?= $fila['codigo']; ?>">
								<td class="borrar_codigo">
									<a href="<?= Shop::$configuracion->url; ?>admin/codigos_promocionales.php?borrar=1&cod=<?= $fila['codigo']; ?>" title="Borrar codigo promocional">
										<img src="<?= Shop::$configuracion->url; ?>admin/images/borrar.png" title="Borrar codigo promocional" />
									</a>
								</td>
								<td class="" id="titulo1">
									<?= $fila['codigo_promocional']; ?>
								</td>
								<td class=""><?= $fila['fecha_alta']; ?> </td>
								<td class=""><?= $fila['fecha_baja']; ?> </td>
								<td class=""><?= $fila['descuento']; ?></td>
								<td class=""><?= ($fila['g_envio_gratis']) ? "S&iacute;" : 'No'; ?></td>
								<td class=""><?= ($fila['lote']) ? "S&iacute;" : 'No'; ?></td>
								<td>
									<?php
									if ($fila['escaparates'] != NULL) {
										?>
										<button type="button" class="btn btn-primary bontonVer" data-toggle="modal" data-esca="<?= $fila['escaparates'] ?>">Ver</button>
										<?php
									} else {
										?>
										<span>-</span>
										<?php
									}
									?>
								</td>
								<td>
									<?= $fila['numUsos'] ?>
								</td>
								<td>
									<?php
									if ($fila['activo'] == 0) {
										?>
										<a href="<?= Shop::$configuracion->url; ?>admin/codigos_promocionales.php?activar_codigo=1&cod=<?= $fila['codigo']; ?>" title="Pinchar para habilitar este codigo promocional" ><img src="<?= Shop::$configuracion->url; ?>admin/images/Red.png" width="14" height="14" alt="Deshabilitado" title="Deshabilitado" /></a>
										<?php
									} else {
										?>
										<a href="<?= Shop::$configuracion->url; ?>admin/codigos_promocionales.php?activar_codigo=2&cod=<?= $fila['codigo']; ?>" title="Pinchar para deshabilitar este codigo promocional" ><img src="<?= Shop::$configuracion->url; ?>admin/images/Green.png" width="14" height="14" alt="Habilitado" title="Habilitado" /></a>
										<?php
									}
									?>
								</td>
							</tr>
							<?php
						}
					} else {
						echo("Error al guardar el c&oacute;digo promocional. Compruebe si ha puesto bien los datos y si el problema persiste póngase en contacto con su administrador<br />");
					}
				}
				?>
			</tbody>
			<tfoot>
				<tr class="foot_tabla">
					<td>&nbsp;</td>
					<td colspan="9" class="pie_tabla"></td>
				</tr>
			</tfoot>
		</table>
	</div>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
	<!-- Modal -->
	<div class="modal fade" id="modalEscaparates" tabindex="-1" role="dialog" aria-labelledby="modalLabel">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="modalLabel">Escaparates Afectados</h4>
				</div>
				<div class="modal-body">
					<ul id="afectados">
					</ul>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">OK</button>
				</div>
			</div>
		</div>
	</div>
	<script>
					;
					(function () {
						var fecha = new Date();
						var year = fecha.getFullYear();
						$('#fec_caducidad_usuario').datepick($.extend(
								{pickerClass: 'my-picker'}, $.datepick.regionalOptions['es'],
								'option', {dateFormat: ' d/MM/yyyy'},
								{yearRange: 'c-85:' + year},
								{showTrigger: '#calImg', altField: '#fec_caducidad', altFormat: 'yyyy/mm/dd'}));
					})();
					$('.bontonVer').on('click', function () {
						//console.log('<?= Shop::$configuracion->url; ?>admin/consultas/getNombreEscaparates.php?escaparates='+$(this).data('esca'));
						$.ajax({
							type: "GET",
							dataType: "json",
							url: "<?= Shop::$configuracion->url; ?>admin/consultas/getNombreEscaparates.php?escaparates=" + $(this).data('esca'),
							contentType: "application/json; charset=utf-8",
							success: function (data) {
								var array = data.data;
								$('#afectados').html('');
								for (var i = 0; i < array.length; i++) {
									var li = $('<li></li>').append(array[i].nombre);
									$('#afectados').append(li);
								}
								$('#modalEscaparates').modal('show')
							},
							error: function (e) {
								console.log(e.message);
							}
						});
					});
	</script>
	<?php
}
?>
